<?php

declare(strict_types=1);

namespace SbpJm\FlarumMSTeamsWebhook\Notification;

use Flarum\Notification\Blueprint\BlueprintInterface;
use Flarum\User\User;

class TestActivityBlueprint implements BlueprintInterface
{
    public function __construct(protected User $recipient)
    {
    }

    public function getSubject()
    {
        return null;
    }

    public function getFromUser(): ?User
    {
        return $this->recipient;
    }

    public function getData(): ?array
    {
        return [
            'test' => true,
        ];
    }

    public static function getType(): string
    {
        return 'teamsTest';
    }

    public static function getSubjectModel(): ?string
    {
        return null;
    }
}
